Detach an app: Kuben lets go of it and leaves its objects running.
POST
/api/v1/projects/{project}/environments/{environment}/apps/{app}/detach
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/detach';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"confirm":"example","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/detach \ --header 'Content-Type: application/json' \ --data '{ "confirm": "example", "reason": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
app
required
string
App name
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
confirm
required
The app’s name again.
string
reason
required
Why; kept with the record and audited.
string
Examplegenerated
{ "confirm": "example", "reason": "example"}Responses
Section titled “Responses”Detach scheduled; the answer holds the export
Media typeapplication/json
object
id
required
string format: uuid
app
required
string
namespace
required
string
reason
required
string
requestedBy
required
string
requestedAt
required
string
completedAt
Set once the objects are orphaned.
string | null
releasedAt
string | null
releasedBy
string | null
export
The export frozen with the request (only when one app is read).
object | null
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "app": "example", "namespace": "example", "reason": "example", "requestedBy": "example", "requestedAt": "example", "completedAt": "example", "releasedAt": "example", "releasedBy": "example", "export": "example"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Being deleted, a run in flight, or never delivered
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}